## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-mailman-hyperkitty
Version:        1.2.1
Release:        %autorelease
Summary:        Mailman archiver plugin for HyperKitty

License:        GPL-3.0-or-later
URL:            https://gitlab.com/mailman/mailman-hyperkitty/
Source:         %{pypi_source mailman-hyperkitty}

BuildArch:      noarch
BuildRequires:  python3-devel
# Test dependencies from tox.ini (missing from sdist)
BuildRequires:  python3-nose2
BuildRequires:  mailman3


%global _description %{expand:
This package configures Mailman to send emails to HyperKitty for archiving.}

%description %_description

%package -n     python3-mailman-hyperkitty
Summary:        %{summary}

%description -n python3-mailman-hyperkitty %_description


%prep
%autosetup -p1 -n mailman-hyperkitty-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mailman_hyperkitty

# Mailman config file
install -D -m 644 mailman-hyperkitty.cfg \
    %{buildroot}%{_sysconfdir}/mailman3.d/hyperkitty.cfg


%check
%pyproject_check_import

# Beware a hack!
# The tests import mailman3 which transitively imports nntplib which was removed from Python 3.13+
# https://gitlab.com/mailman/mailman/-/issues/1176
# The actual implementation of nntplib is not required to test this package,
# hence we silence the ModuleNotFoundError:
touch nntplib.py

%{py3_test_envvars} %{python3} -m nose2 -v
rm nntplib.py


%files -n python3-mailman-hyperkitty -f %{pyproject_files}
%config(noreplace) %{_sysconfdir}/mailman3.d/hyperkitty.cfg


%changelog
## START: Generated by rpmautospec
* Sat Mar 29 2025 Miro Hrončok <miro@hroncok.cz> - 1.2.1-6
- Run the tests when the package is built
- Fixes: rhbz#2354143

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 29 2024 Python Maint <python-maint@redhat.com> - 1.2.1-4
- Rebuilt for Python 3.13

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Mar 16 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.2.1-2
- Don't run tests on el9 as tox does not work

* Fri Mar 15 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.2.1-1
- Initial package for Fedora
## END: Generated by rpmautospec
